
%global meadversion 11.0.18
%global namedversion 11.0.18.Final-redhat-00001
%global meadalpha .Final_redhat_00001
%global meadrel .1
%global serial 2
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package infinispan}
%{!?scl:%global pkg_name %{name}}

%define maven_version 11.0.18.Final-redhat-00001

Name:           %{?scl_prefix}infinispan
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Infinispan
Group:          Development/Java

%if %with mead
Source100: infinispan-parent-11.0.18.Final-redhat-00001-project-sources.tar.gz
%endif

License:        ASL 2.0
URL:            http://infinispan.org/
Requires:       %{?scl_prefix}infinispan-commons = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}infinispan-core = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}infinispan-cachestore-jdbc = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}infinispan-cachestore-remote = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}infinispan-client-hotrod = %{epoch}:%{version}-%{release}
#Requires:       %{?scl_prefix}infinispan-directory-provider = %{epoch}:%{version}-%{release}
#Requires:       %{?scl_prefix}infinispan-lucene-directory = %{epoch}:%{version}-%{release}
#Requires:       %{?scl_prefix}infinispan-objectfilter = %{epoch}:%{version}-%{release}
#Requires:       %{?scl_prefix}infinispan-query = %{epoch}:%{version}-%{release}
#Requires:       %{?scl_prefix}infinispan-query-dsl = %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Infinispan Data Grid.

%package -n %{?scl_prefix}infinispan-commons
Summary:        Infinispan Commons
Group:          Development/Java


%description -n %{?scl_prefix}infinispan-commons
Infinispan Commons.

%package -n %{?scl_prefix}infinispan-component-annotations
Summary:        Infinispan Component Annotations
Group:          Development/Java


%description -n %{?scl_prefix}infinispan-component-annotations
Infinispan Component Annotations.

%package -n %{?scl_prefix}infinispan-core
Summary:        Infinispan Core
Group:          Development/Java

Requires:       %{?scl_prefix}infinispan-commons = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}infinispan-core
Infinispan core module.

%package -n %{?scl_prefix}infinispan-cachestore-jdbc
Summary:        Infinispan JDBC CacheStore
Group:          Development/Java


%description -n %{?scl_prefix}infinispan-cachestore-jdbc
Infinispan JDBC CacheStore module.

%package -n %{?scl_prefix}infinispan-cachestore-remote
Summary:        Infinispan Remote CacheStore
Group:          Development/Java

Requires:       %{?scl_prefix}infinispan-client-hotrod = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}infinispan-core = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}infinispan-cachestore-remote
Infinispan remote CacheStore based on Hot Rod protocol.

%package -n %{?scl_prefix}infinispan-client-hotrod
Summary:        Infinispan Hot Rod Client
Group:          Development/Java

Requires:       %{?scl_prefix}infinispan-commons = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}infinispan-client-hotrod
Infinispan Hot Rod Client.

%if 0
%package -n %{?scl_prefix}infinispan-directory-provider
Summary:        Infinispan Directory Provider for Hibernate Search
Group:          Development/Java

Requires:       %{?scl_prefix}infinispan-lucene-directory = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}infinispan-directory-provider
Infinispan Storage for Hibernate Search.
%endif

%package -n %{?scl_prefix}infinispan-hibernate-cache-commons
Summary:        Infinispan Hibernate Cache Commons module
Group:          Development/Java


%description -n %{?scl_prefix}infinispan-hibernate-cache-commons
Infinispan Hibernate Cache Commons module.

%package -n %{?scl_prefix}infinispan-hibernate-cache-spi
Summary:        Infinispan Hibernate Cache SPI module
Group:          Development/Java


%description -n %{?scl_prefix}infinispan-hibernate-cache-spi
Infinispan Hibernate Cache SPI module.

%package -n %{?scl_prefix}infinispan-hibernate-cache-v51
Summary:        Infinispan Hibernate 5.1 Cache module
Group:          Development/Java


%description -n %{?scl_prefix}infinispan-hibernate-cache-v51
Infinispan Hibernate 5.1 Cache module.

%package -n %{?scl_prefix}infinispan-hibernate-cache-v53
Summary:        Infinispan Hibernate 5.3 Cache module
Group:          Development/Java


%description -n %{?scl_prefix}infinispan-hibernate-cache-v53
Infinispan Hibernate 5.3 Cache module.

%if 0
%package -n %{?scl_prefix}infinispan-lucene-directory
Summary:        Infinispan Lucene Directory Implementation
Group:          Development/Java

Requires:       %{?scl_prefix_eap}lucene-core
Requires:       %{?scl_prefix_eap}lucene-analyzers-common

%description -n %{?scl_prefix}infinispan-lucene-directory
A Lucene directory implementation based on Infinispan.
%endif

%package -n %{?scl_prefix}infinispan-objectfilter
Summary:        Infinispan Object Filtering API
Group:          Development/Java

Requires:       %{?scl_prefix}infinispan-query-dsl = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}infinispan-objectfilter
Infinispan Object Filtering based on a JP-QL subset.

%package -n %{?scl_prefix}infinispan-query
Summary:        Infinispan Query API
Group:          Development/Java

Requires:       %{?scl_prefix}infinispan-core = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}infinispan-query-dsl = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}infinispan-objectfilter = %{epoch}:%{version}-%{release}
#Requires:       %{?scl_prefix}infinispan-directory-provider = %{epoch}:%{version}-%{release}
#Requires:       %{?scl_prefix}infinispan-lucene-directory = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}infinispan-query
Infinispan Query API module.

%package -n %{?scl_prefix}infinispan-query-dsl
Summary:        Infinispan Query DSL API
Group:          Development/Java


%description -n %{?scl_prefix}infinispan-query-dsl
Infinispan Query DSL API module.

%if %with javadoc
%package javadoc
Summary:        Javadoc for infinispan
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n infinispan-parent-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/infinispan-commons-%{namedversion}.jar %{buildroot}%{_javadir}/infinispan-commons-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/infinispan-commons-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/infinispan-commons-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/infinispan-commons-%{namedversion}-sources.jar %{buildroot}%{_javadir}/infinispan-commons-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/infinispan-component-annotations-%{namedversion}.jar %{buildroot}%{_javadir}/infinispan-component-annotations-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/infinispan-component-annotations-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/infinispan-component-annotations-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/infinispan-component-annotations-%{namedversion}-sources.jar %{buildroot}%{_javadir}/infinispan-component-annotations-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/infinispan-core-%{namedversion}.jar %{buildroot}%{_javadir}/infinispan-core-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/infinispan-core-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/infinispan-core-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/infinispan-core-%{namedversion}-sources.jar %{buildroot}%{_javadir}/infinispan-core-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/infinispan-cachestore-jdbc-%{namedversion}.jar %{buildroot}%{_javadir}/infinispan-cachestore-jdbc-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/infinispan-cachestore-jdbc-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/infinispan-cachestore-jdbc-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/infinispan-cachestore-jdbc-%{namedversion}-sources.jar %{buildroot}%{_javadir}/infinispan-cachestore-jdbc-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/infinispan-cachestore-remote-%{namedversion}.jar %{buildroot}%{_javadir}/infinispan-cachestore-remote-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/infinispan-cachestore-remote-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/infinispan-cachestore-remote-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/infinispan-cachestore-remote-%{namedversion}-sources.jar %{buildroot}%{_javadir}/infinispan-cachestore-remote-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/infinispan-client-hotrod-%{namedversion}.jar %{buildroot}%{_javadir}/infinispan-client-hotrod-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/infinispan-client-hotrod-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/infinispan-client-hotrod-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/infinispan-client-hotrod-%{namedversion}-sources.jar %{buildroot}%{_javadir}/infinispan-client-hotrod-%{namedversion}-sources.jar
%if 0
%{__cp} -p %{_sourcedir}/infinispan-directory-provider-%{namedversion}.jar %{buildroot}%{_javadir}/infinispan-directory-provider-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/infinispan-directory-provider-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/infinispan-directory-provider-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/infinispan-directory-provider-%{namedversion}-sources.jar %{buildroot}%{_javadir}/infinispan-directory-provider-%{namedversion}-sources.jar
%endif

%{__cp} -p %{_sourcedir}/infinispan-hibernate-cache-commons-%{namedversion}.jar %{buildroot}%{_javadir}/infinispan-hibernate-cache-commons-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/infinispan-hibernate-cache-commons-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/infinispan-hibernate-cache-commons-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/infinispan-hibernate-cache-commons-%{namedversion}-sources.jar %{buildroot}%{_javadir}/infinispan-hibernate-cache-commons-%{namedversion}-sources.jar

%{__cp} -p %{_sourcedir}/infinispan-hibernate-cache-spi-%{namedversion}.jar %{buildroot}%{_javadir}/infinispan-hibernate-cache-spi-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/infinispan-hibernate-cache-spi-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/infinispan-hibernate-cache-spi-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/infinispan-hibernate-cache-spi-%{namedversion}-sources.jar %{buildroot}%{_javadir}/infinispan-hibernate-cache-spi-%{namedversion}-sources.jar

%{__cp} -p %{_sourcedir}/infinispan-hibernate-cache-v51-%{namedversion}.jar %{buildroot}%{_javadir}/infinispan-hibernate-cache-v51-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/infinispan-hibernate-cache-v51-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/infinispan-hibernate-cache-v51-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/infinispan-hibernate-cache-v51-%{namedversion}-sources.jar %{buildroot}%{_javadir}/infinispan-hibernate-cache-v51-%{namedversion}-sources.jar

%{__cp} -p %{_sourcedir}/infinispan-hibernate-cache-v53-%{namedversion}.jar %{buildroot}%{_javadir}/infinispan-hibernate-cache-v53-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/infinispan-hibernate-cache-v53-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/infinispan-hibernate-cache-v53-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/infinispan-hibernate-cache-v53-%{namedversion}-sources.jar %{buildroot}%{_javadir}/infinispan-hibernate-cache-v53-%{namedversion}-sources.jar

%if 0
%{__cp} -p %{_sourcedir}/infinispan-lucene-directory-%{namedversion}.jar %{buildroot}%{_javadir}/infinispan-lucene-directory-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/infinispan-lucene-directory-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/infinispan-lucene-directory-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/infinispan-lucene-directory-%{namedversion}-sources.jar %{buildroot}%{_javadir}/infinispan-lucene-directory-%{namedversion}-sources.jar
%endif

%{__cp} -p %{_sourcedir}/infinispan-objectfilter-%{namedversion}.jar %{buildroot}%{_javadir}/infinispan-objectfilter-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/infinispan-objectfilter-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/infinispan-objectfilter-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/infinispan-objectfilter-%{namedversion}-sources.jar %{buildroot}%{_javadir}/infinispan-objectfilter-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/infinispan-query-%{namedversion}.jar %{buildroot}%{_javadir}/infinispan-query-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/infinispan-query-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/infinispan-query-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/infinispan-query-%{namedversion}-sources.jar %{buildroot}%{_javadir}/infinispan-query-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/infinispan-query-dsl-%{namedversion}.jar %{buildroot}%{_javadir}/infinispan-query-dsl-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/infinispan-query-dsl-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/infinispan-query-dsl-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/infinispan-query-dsl-%{namedversion}-sources.jar %{buildroot}%{_javadir}/infinispan-query-dsl-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/infinispan-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/infinispan-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/infinispan-%{namedversion} -x META-INF/\*
%{__ln_s} infinispan-%{namedversion} %{buildroot}%{_javadocdir}/infinispan
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}infinispan
%defattr(0644,root,root,0755)

%files -n %{?scl_prefix}infinispan-commons
%defattr(0644,root,root,0755)
%doc README.md README-i18n.md README-Build.md
%{_javadir}/infinispan-commons-%{namedversion}.jar
%{_javadir}/infinispan-commons.jar
%if %with javadoc
%{_javadir}/infinispan-commons-%{namedversion}-javadoc.jar
%{_javadir}/infinispan-commons-javadoc.jar
%endif
%{_javadir}/infinispan-commons-%{namedversion}-sources.jar
%{_javadir}/infinispan-commons-sources.jar

%files -n %{?scl_prefix}infinispan-component-annotations
%defattr(0644,root,root,0755)
%{_javadir}/infinispan-component-annotations-%{namedversion}.jar
%{_javadir}/infinispan-component-annotations.jar
%if %with javadoc
%{_javadir}/infinispan-component-annotations-%{namedversion}-javadoc.jar
%{_javadir}/infinispan-component-annotations-javadoc.jar
%endif
%{_javadir}/infinispan-component-annotations-%{namedversion}-sources.jar
%{_javadir}/infinispan-component-annotations-sources.jar

%files -n %{?scl_prefix}infinispan-core
%defattr(0644,root,root,0755)
%{_javadir}/infinispan-core-%{namedversion}.jar
%{_javadir}/infinispan-core.jar
%if %with javadoc
%{_javadir}/infinispan-core-%{namedversion}-javadoc.jar
%{_javadir}/infinispan-core-javadoc.jar
%endif
%{_javadir}/infinispan-core-%{namedversion}-sources.jar
%{_javadir}/infinispan-core-sources.jar

%files -n %{?scl_prefix}infinispan-cachestore-jdbc
%defattr(0644,root,root,0755)
%{_javadir}/infinispan-cachestore-jdbc-%{namedversion}.jar
%{_javadir}/infinispan-cachestore-jdbc.jar
%if %with javadoc
%{_javadir}/infinispan-cachestore-jdbc-%{namedversion}-javadoc.jar
%{_javadir}/infinispan-cachestore-jdbc-javadoc.jar
%endif
%{_javadir}/infinispan-cachestore-jdbc-%{namedversion}-sources.jar
%{_javadir}/infinispan-cachestore-jdbc-sources.jar

%files -n %{?scl_prefix}infinispan-cachestore-remote
%defattr(0644,root,root,0755)
%{_javadir}/infinispan-cachestore-remote-%{namedversion}.jar
%{_javadir}/infinispan-cachestore-remote.jar
%if %with javadoc
%{_javadir}/infinispan-cachestore-remote-%{namedversion}-javadoc.jar
%{_javadir}/infinispan-cachestore-remote-javadoc.jar
%endif
%{_javadir}/infinispan-cachestore-remote-%{namedversion}-sources.jar
%{_javadir}/infinispan-cachestore-remote-sources.jar

%files -n %{?scl_prefix}infinispan-client-hotrod
%defattr(0644,root,root,0755)
%{_javadir}/infinispan-client-hotrod-%{namedversion}.jar
%{_javadir}/infinispan-client-hotrod.jar
%if %with javadoc
%{_javadir}/infinispan-client-hotrod-%{namedversion}-javadoc.jar
%{_javadir}/infinispan-client-hotrod-javadoc.jar
%endif
%{_javadir}/infinispan-client-hotrod-%{namedversion}-sources.jar
%{_javadir}/infinispan-client-hotrod-sources.jar

%if 0
%files -n %{?scl_prefix}infinispan-directory-provider
%defattr(0644,root,root,0755)
%{_javadir}/infinispan-directory-provider-%{namedversion}.jar
%{_javadir}/infinispan-directory-provider.jar
%if %with javadoc
%{_javadir}/infinispan-directory-provider-%{namedversion}-javadoc.jar
%{_javadir}/infinispan-directory-provider-javadoc.jar
%endif
%{_javadir}/infinispan-directory-provider-%{namedversion}-sources.jar
%{_javadir}/infinispan-directory-provider-sources.jar
%endif

%files -n %{?scl_prefix}infinispan-hibernate-cache-commons
%defattr(0644,root,root,0755)
%{_javadir}/infinispan-hibernate-cache-commons-%{namedversion}.jar
%{_javadir}/infinispan-hibernate-cache-commons.jar
%if %with javadoc
%{_javadir}/infinispan-hibernate-cache-commons-%{namedversion}-javadoc.jar
%{_javadir}/infinispan-hibernate-cache-commons-javadoc.jar
%endif
%{_javadir}/infinispan-hibernate-cache-commons-%{namedversion}-sources.jar
%{_javadir}/infinispan-hibernate-cache-commons-sources.jar

%files -n %{?scl_prefix}infinispan-hibernate-cache-spi
%defattr(0644,root,root,0755)
%{_javadir}/infinispan-hibernate-cache-spi-%{namedversion}.jar
%{_javadir}/infinispan-hibernate-cache-spi.jar
%if %with javadoc
%{_javadir}/infinispan-hibernate-cache-spi-%{namedversion}-javadoc.jar
%{_javadir}/infinispan-hibernate-cache-spi-javadoc.jar
%endif
%{_javadir}/infinispan-hibernate-cache-spi-%{namedversion}-sources.jar
%{_javadir}/infinispan-hibernate-cache-spi-sources.jar

%files -n %{?scl_prefix}infinispan-hibernate-cache-v51
%defattr(0644,root,root,0755)
%{_javadir}/infinispan-hibernate-cache-v51-%{namedversion}.jar
%{_javadir}/infinispan-hibernate-cache-v51.jar
%if %with javadoc
%{_javadir}/infinispan-hibernate-cache-v51-%{namedversion}-javadoc.jar
%{_javadir}/infinispan-hibernate-cache-v51-javadoc.jar
%endif
%{_javadir}/infinispan-hibernate-cache-v51-%{namedversion}-sources.jar
%{_javadir}/infinispan-hibernate-cache-v51-sources.jar

%files -n %{?scl_prefix}infinispan-hibernate-cache-v53
%defattr(0644,root,root,0755)
%{_javadir}/infinispan-hibernate-cache-v53-%{namedversion}.jar
%{_javadir}/infinispan-hibernate-cache-v53.jar
%if %with javadoc
%{_javadir}/infinispan-hibernate-cache-v53-%{namedversion}-javadoc.jar
%{_javadir}/infinispan-hibernate-cache-v53-javadoc.jar
%endif
%{_javadir}/infinispan-hibernate-cache-v53-%{namedversion}-sources.jar
%{_javadir}/infinispan-hibernate-cache-v53-sources.jar

%if 0
%files -n %{?scl_prefix}infinispan-lucene-directory
%defattr(0644,root,root,0755)
%{_javadir}/infinispan-lucene-directory-%{namedversion}.jar
%{_javadir}/infinispan-lucene-directory.jar
%if %with javadoc
%{_javadir}/infinispan-lucene-directory-%{namedversion}-javadoc.jar
%{_javadir}/infinispan-lucene-directory-javadoc.jar
%endif
%{_javadir}/infinispan-lucene-directory-%{namedversion}-sources.jar
%{_javadir}/infinispan-lucene-directory-sources.jar
%endif

%files -n %{?scl_prefix}infinispan-objectfilter
%defattr(0644,root,root,0755)
%{_javadir}/infinispan-objectfilter-%{namedversion}.jar
%{_javadir}/infinispan-objectfilter.jar
%if %with javadoc
%{_javadir}/infinispan-objectfilter-%{namedversion}-javadoc.jar
%{_javadir}/infinispan-objectfilter-javadoc.jar
%endif
%{_javadir}/infinispan-objectfilter-%{namedversion}-sources.jar
%{_javadir}/infinispan-objectfilter-sources.jar

%files -n %{?scl_prefix}infinispan-query
%defattr(0644,root,root,0755)
%{_javadir}/infinispan-query-%{namedversion}.jar
%{_javadir}/infinispan-query.jar
%if %with javadoc
%{_javadir}/infinispan-query-%{namedversion}-javadoc.jar
%{_javadir}/infinispan-query-javadoc.jar
%endif
%{_javadir}/infinispan-query-%{namedversion}-sources.jar
%{_javadir}/infinispan-query-sources.jar

%files -n %{?scl_prefix}infinispan-query-dsl
%defattr(0644,root,root,0755)
%{_javadir}/infinispan-query-dsl-%{namedversion}.jar
%{_javadir}/infinispan-query-dsl.jar
%if %with javadoc
%{_javadir}/infinispan-query-dsl-%{namedversion}-javadoc.jar
%{_javadir}/infinispan-query-dsl-javadoc.jar
%endif
%{_javadir}/infinispan-query-dsl-%{namedversion}-sources.jar
%{_javadir}/infinispan-query-dsl-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/infinispan-%{namedversion}
%{_javadocdir}/infinispan
%endif

%changelog
* Wed Feb 28 2024 Harsha Cherukuri <hcheruku@redhat.com> - 11.0.18-2.Final_redhat_00001.1
- Wrapper build 11.0.18.Final-redhat-00001

* Fri Oct 20 2023 cpaas-ops <cpaas-ops@redhat.com> - 11.0.18-1.Final_redhat_00001.1
- Built by CPaaS

* Wed Feb 22 2023 cpaas-ops <cpaas-ops@redhat.com> - 11.0.17-1.Final_redhat_00001.1
- Built by CPaaS

* Wed Oct 19 2022 cpaas-ops <cpaas-ops@redhat.com> - 11.0.16-1.Final_redhat_00001.1
- Built by CPaaS

* Tue Feb 15 2022 Permaine Cheung <pcheung@redhat.com> - 11.0.15-1.Final_redhat_00001.1
- 11.0.15.Final_redhat_00001

* Tue Aug 03 2021 cpaas-ops <cpaas-ops@redhat.com> - 11.0.12-1.Final_redhat_00001.1
Built by CPaaS

* Tue May 11 2021 cpaas-ops <cpaas-ops@redhat.com> - 11.0.9-1.Final_redhat_00001.1
Built by CPaaS

* Tue Feb 09 2021 Permaine Cheung <pcheung@redhat.com> - 11.0.8-1.Final_redhat_00001.1
- 11.0.8.Final-redhat-00001

* Wed Nov 04 2020 Permaine Cheung <pcheung@redhat.com> - 11.0.4-1.Final_redhat_00001.1
- 11.0.4.Final-redhat-00001

* Tue Nov 03 2020 Permaine Cheung <pcheung@redhat.com> - 11.0.4-1.Final_redhat_00001.1
- 11.0.4.Final-redhat-00001

* Mon Aug 10 2020 Permaine Cheung <pcheung@redhat.com> - 10.1.8-2.Final_redhat_00001.1
- Add infinispan-component-annotations jar

* Tue Jul 14 2020 Permaine Cheung <pcheung@redhat.com> - 10.1.8-1.Final_redhat_00001.1
- 10.1.8.Final-redhat-00001

* Tue Nov 05 2019 Permaine Cheung <pcheung@redhat.com> - 9.4.16-1.Final_redhat_00002.1
- 9.4.16.Final-redhat-00001

* Tue Nov 05 2019 Permaine Cheung <pcheung@redhat.com> - 9.4.15-2.Final_redhat_00001.1
- 9.4.16.Final-redhat-00001

* Tue Jul 16 2019 Permaine Cheung <pcheung@redhat.com> - 9.4.15-1.Final_redhat_00001.1
- 9.4.15.Final-redhat-00001

* Fri May 17 2019 Permaine Cheung <pcheung@redhat.com> - 9.4.11-1.Final_redhat_00001.1
- 9.4.11.Final_redhat_00001

* Wed Mar 06 2019 Permaine Cheung <pcheung@redhat.com> - 9.3.6-1.Final_redhat_00001.1
- 9.3.6.Final-redhat-00001

* Tue Sep 11 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 9.3.3-1.Final_redhat_00001.1
- upgrade to 9.3.3.Final-redhat-00001

* Wed Aug 22 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 9.3.1-1.Final_redhat_00001.1
- upgrade to 9.3.1.Final-redhat-00001

* Wed Aug 22 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 9.3.1-1.Final_redhat_00001.1
- upgrade to 9.3.1.Final-redhat-00001

* Thu Aug 16 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 9.3.1-1.Final_redhat_00001.1
- upgrade to 9.3.1.Final-redhat-00001

* Fri Jul 06 2018 Permaine Cheung <pcheung@redhat.com> - 9.2.5-2.Final_redhat_1.1
- Add infinispan-hibernate-cache-commons, spi, v51, v53

* Tue Jun 12 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 9.2.5-1.Final_redhat_1.1
- upgrade to 9.2.5.Final-redhat-1

* Wed May 30 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 9.2.4-1.Final_redhat_1.1
- upgrade to 9.2.4.Final-redhat-1

* Wed Mar 21 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 8.2.10-1.Final_redhat_1.1
- upgrade to 8.2.10.Final-redhat-1

* Wed Feb 14 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 8.2.9-1.Final_redhat_1.1
- upgrade to 8.2.9.Final-redhat-1

* Tue Jul 25 2017 Petr Sakar <psakar@redhat.com> - 8.2.8-1.Final_redhat_1.1
- upgrade to 8.2.8.Final-redhat-1

* Fri Jun 23 2017 Petr Sakar <psakar@redhat.com> - 8.2.7-1.Final_redhat_1.1
- upgrade to 8.2.7.Final-redhat-1

* Thu Feb 09 2017 Petr Sakar <psakar@redhat.com> - 8.2.6-1.Final_redhat_1.1
- upgrade to 8.2.6.Final-redhat-1

* Mon Nov 28 2016 Petr Sakar <psakar@redhat.com> - 8.2.5-1.Final_redhat_1.1
- upgrade to 8.2.5.Final-redhat-1

* Fri Aug 12 2016 David Walluck <dwalluck@redhat.com> - 8.2.4-1.Final_redhat_1.1
- 8.2.4.Final

* Thu May 19 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 8.1.4-1.Final_redhat_1.1
- Upgrade to 8.1.4.Final

* Thu Feb 18 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 8.1.2-1.Final_redhat_1.1
- Upgrade to 8.1.2.Final

* Tue Feb 02 2016 Paul Gier <pgier@redhat.com> - 8.1.1-1.Final_redhat_1.1
- 8.1.1.Final upgrade

* Tue Jan 05 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 8.1.0-1.Final_redhat_1.1
- Upgrade to 8.1.0.Final

* Mon Dec 07 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 8.0.2-1.Final_redhat_1.1
- Upgrade to 8.0.2.Final

* Mon Dec 07 2015 Permaine Cheung <pcheung@redhat.com> - 8.0.1-2.Final_redhat_1.1
- Remove R: infinispan-directory-provider and infinispan-lucene-directory
  as they are no longer in EAP7 ER2

* Wed Oct 14 2015 Neil Wallace <nwallace@redhat.com> - 8.0.1-1.Final_redhat_1.1
- Upgrade to 8.0.1.Final

* Wed Sep 16 2015 Fernando Nasser <fnasser@redhat.com> - 8.0.0-3.Final_redhat_1.1
- Do not require subpackages not needed by EAP7 in main package

* Tue Sep 15 2015 David Walluck <dwalluck@redhat.com> - 8.0.0-2.Final_redhat_1.1
- 8.0.0.Final

* Tue Sep 01 2015 David Walluck <dwalluck@redhat.com> - 8.0.0-1.CR1_redhat_1.1
- 8.0.0.CR1

* Thu Jul 02 2015 David Walluck <dwalluck@redhat.com> - 7.2.3-1.Final_redhat_1.1
- release

